using System;
using Microsoft.Windows.Controls.Ribbon;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.GisEditor;
using ThinkGeo.MapSuite.WpfDesktopEdition.Extension;

namespace ClassLibrary1
{
    /// <summary>
    /// Interaction logic for AnnotationRibbonGroup.xaml
    /// </summary>
    public partial class HelpRibbonGroup : RibbonGroup
    {
        public HelpRibbonGroup()
        {
            InitializeComponent();
        }

        private void RibbonButton_Click(object sender, System.Windows.RoutedEventArgs e)
        {
            GetLayersParameters parameter = new GetLayersParameters();
            //parameter.LayerUris.Add(new Uri(@"c:\testdata\countries02.shp"));
            WmsRasterLayer wmslayer = new WmsRasterLayer(new Uri("http://wmssamples.thinkgeo.com/WmsServer.aspx"));
            wmslayer.UpperThreshold = double.MaxValue;
            wmslayer.LowerThreshold = 0;

            wmslayer.Open();
            foreach (string layerName in wmslayer.GetServerLayerNames())
            {
                wmslayer.ActiveLayerNames.Add(layerName);
            }
            wmslayer.SetInternalProj4ProjectionParameter(GisEditor.ActiveMap.DisplayProjectionParameters);

            // this parameter is just optional.
            wmslayer.Exceptions = "application/vnd.ogc.se_xml";

            GisEditor.ActiveMap.AddLayersToActiveOverlay(wmslayer);
            GisEditor.UIManager.RefreshPlugins();
        }
    }
}